/*
las fuentes son Titillium(se carga a partir de 600) y Karma(se carga a partir de 1000)
*/

@import url('https://fonts.googleapis.com/css2?family=Titillium+Web:wght@700&display=swap'); /*media="screen and (min-width: 600px)"*/
@import url('https://fonts.googleapis.com/css2?family=Karma:wght@500;700&family=Lobster&display=swap');  /*media="screen and (min-width: 1000px)">*/

* {
    font-family: 'Titillium Web', sans-serif;
    margin: 0;
    padding: 0;
}

header {

    display: flex;
    align-items: center; /* Centrar vert */
    justify-content: center; /* Centrar horiz */

    background-color: orange;
    color: white;
    padding: 2em;
    
}

body {
    padding: 0 2em;
}

section {
    display: flex;
    flex-flow: row;
}

figure {
    display: flex;
    flex-flow: column;

    background-color: lightblue;
    margin: 1em;
    padding: 1em;
}

/* chuleta flex

justify-content  alinear horizontalmente
align-items      alinear verticalmente
flex-direction   añadir más tarde

order            cambiar el orden de los elementos
align-self       añadir más tarde

flex-wrap        ajustar lo que le pasa a los elementos si salen del viewport
flex-flow        dirección del auto layout
align-content    añadir más tarde

*/

footer {
    display: flex;
    padding: 1em;

    background-color: lightcoral;
}